#
# spec file for package queue (Version 1.30.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         queue
Version:      1.30.1
Release:      109
Summary:      A load-balancing system
Copyright:  GPL 
Group:      Applications/Clustering
Url:		http://www.gnu.org/software/queue/queue.html
Autoreqprov: on
Source:  queue-%{version}.tar.bz2
Patch:   queue-%{version}.dif
BuildRoot: /var/tmp/queue-%{version}-root

%description
Queue is a load-balancing system that lets users control their remote jobs in an intuitive, transparent and nearly seamless way. This is done with local shell job control and signaling and with Queue's innovative proxy deamon mechanism. Queue can be used as a local replacement for rsh to hosts within a homogeneous cluster under single administrative control. Queue also supports the more traditional email-based load-balancing and distributed batch-processing facilities using a number of criteria to decide where to send jobs.

Authors:
--------
    Werner G. Krebs <werner.krebs@yale.edu>

SuSE series: beo

%prep
%setup 
%patch

%build
%{?suse_update_config:%{suse_update_config -f }}
autoconf
automake
./configure --enable-root --bindir=/usr/bin --sbindir=/usr/sbin \
	    --datadir=/etc --localstatedir=/var --prefix=/usr \
	    --mandir=/usr/share/man
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc
install -m 644 qhostsfile $RPM_BUILD_ROOT/etc
# init.d
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 755 init $RPM_BUILD_ROOT/etc/init.d/queue
install -d $RPM_BUILD_ROOT/sbin
ln -sf ../../etc/init.d/queue $RPM_BUILD_ROOT/usr/sbin/rcqueue
# fillup
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.queue
install -m 644 rc.config.d $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.d.queue

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/queue.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config var/adm/fillup-templates/rc.config.d.queue etc/rc.config.d/queue.rc.config
     if [ -f etc/rc.config.new ]; then
     	mv etc/rc.config.new etc/rc.config
     fi
  else
     bin/fillup -q etc/rc.config.d/queue.rc.config var/adm/fillup-templates/rc.config.d.queue
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.queue
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.queue"
  echo "and update by hand."
fi       
if [ ! -f "/etc/qhostsfile" ]; then
	echo `hostname` >> /etc/qhostsfile
fi
sbin/insserv etc/init.d/queue

%preun
sbin/insserv etc/init.d/

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc INSTALL README COPYING ChangeLog NEWS doc/QueueVN.texi doc/QueueVN.texi.in doc/gpl.texinfo doc/queue.1 doc/queue.dvi doc/queue.html doc/queue.info doc/queue.man doc/queue.man.in doc/queue.ps doc/queue.texinfo doc/queue_toc.html
%doc /usr/share/man/man1/*
%doc /usr/share/info/queue.info.gz
%config /etc/qhostsfile
%config /etc/queue*
/usr/bin/*
/usr/sbin/*
%dir /var/spool/queue
%dir /var/spool/queue/now
/var/spool/queue/now/profile
%dir /var/spool/queue/wait
/var/spool/queue/wait/profile
/etc/init.d/queue
/var/adm/fillup-templates/rc.config.queue
/var/adm/fillup-templates/rc.config.d.queue

%changelog -n queue
* Tue Jun 12 2001 - nashif@suse.de
-  Added suse_update_config macro
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 16 2001 - nashif@suse.de
- Fixed headers
* Thu Nov 30 2000 - nashif@suse.de
- Update to version 1.30.1
- Applied changes to init.d scripts
* Sat Apr 22 2000 - nashif@suse.de
- Modified group and url in spec
- manpages using macro
- removed unneeded docs
* Thu Jan 20 2000 - ro@suse.de
- move info to /usr/share/info using macro
* Thu Jan 20 2000 - nashif@suse.de
- Moved manpages to /usr/share/man
- Moved configurationfile from /etc/queue to /etc
* Wed Sep 01 1999 - nashif@suse.de
- New package (1.12.8)
